package com.bytedance.push.frontier.setting;

import X.C35098u4;
import X.C35108u5;
import com.bytedance.covode.number.Covode;
import com.bytedance.push.settings.ILocalSettings;

@C35098u4(LIZ = "frontier_local_setting")
public interface FrontierLocalSetting extends ILocalSettings {
    static {
        Covode.recordClassIndex(36780);
    }

    long LIZ();

    void LIZ(long j);

    void LIZ(C35108u5 r1);

    C35108u5 LIZIZ();
}
